const dip_ip = document.getElementById("dip_ip");
const dip_hostname = document.getElementById("dip_hostname");
const dip_city = document.getElementById("dip_city");
const dip_country = document.getElementById("dip_country");
const dip_as_number = document.getElementById("dip_as_number");
const dip_as_org = document.getElementById("dip_as_org");

function setData(res) {
  dip_ip.innerHTML = res["ip"];
  dip_hostname.innerHTML = res["hostname"];
  dip_city.innerHTML = res["city"];
  dip_country.innerHTML = res["country"];
  dip_as_number.innerHTML = res["as"]["number"];
  dip_as_org.innerHTML = res["as"]["org"];
}

function updateIP() {
  let ip = "";

  if (window.location.pathname.length > 4) {
    ip = window.location.pathname.split("/")[1];
  }

  const localdata = localStorage.getItem("data");
  if (localdata) {
    const data = JSON.parse(localdata);
    setData(data);
  }

  fetch(`/json/${ip}`).then((response) => {
    response.json().then((data) => {
      setData(data);
      localStorage.setItem("data",JSON.stringify(data));
    });
  });
}

setInterval(updateIP,1000);
